/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package controlador;

import vista.VistaLogin;
import modelo.Datos;
import modelo.Cuenta;
import static modelo.Datos.findCuentaConPin;
import componentes.StateMachine;

/**
 *
 * @author pablo
 */
public class ControladorLogin {
    private final VistaLogin vista;
    private Cuenta cuenta;
    private int intentos = 3;
    private StateMachine a;
    
    
    public ControladorLogin(VistaLogin vista, Cuenta cuenta){
        this.vista = vista;
        this.cuenta = cuenta;
    }

    /**
     * 
     */
    public void aceptarPIN (){
         if(intentos>0){
            
            if(Datos.findCuentaConPinBoolean(vista.getTextoPIN())){
                this.cuenta = findCuentaConPin(vista.getTextoPIN());
                devolverCuenta();
                vista.setMensaje("CORRECTO");
                vista.setIntentos("");
                vista.visibleOpciones();
                
                
            }else{
                vista.setMensaje("INCORRECTO");
                vista.setPin("");
                intentos--;
                vista.setIntentos(intentos+"");
            }
            
        }
    }
    
    public Cuenta devolverCuenta(){
        return cuenta;
    }
   

}
