/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package controlador;

import modelo.Cuenta;
import vista.VistaCambiarPin;
import vista.VistaCambiarPin.Resultado;

/**
 *
 * @author jonas.schiefner
 */
public class ControladorCambiarPin {
    private VistaCambiarPin vista;
    private Cuenta cuenta;
    
    public ControladorCambiarPin(VistaCambiarPin vista, Cuenta cuenta) {
        this.vista = vista;
        this.cuenta = cuenta;
    }

    /**
     * Cambia el pin de la cuenta por otro nuevo
     * @param text pin nuevo
     */
    public void cambiarPin(String text) {
        if (text.length() == 4) {
            cuenta.setPin(text);
            vista.setResultado(Resultado.EXITO);
        } else {
            vista.setResultado(Resultado.ERROR);
        }
    }    
}
