/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package modelo;

import java.util.Date;

/**
 *
 * @author jonas.schiefner
 */
public class Transaccion {
    private Cuenta inicora;
    private Cuenta destino;
    private String nombreTitular;
    private int saldo;
    private Date fecha;
    private String concepto;
    
    public Transaccion(Cuenta inicora, Cuenta destino, String nombreTitular, int saldo, Date fecha, String concepto) {
        this.inicora = inicora;
        this.destino = destino;
        this.saldo = saldo;
        this.fecha = fecha;
    }
    
    public Transaccion(Cuenta inicora, int saldo, Date fecha) {
        this.inicora = inicora;
        this.saldo = saldo;
        this.fecha = fecha;
    }
    
    public Boolean isRetirado() {
        return destino == null && concepto == null;
    }
    
    public Cuenta getInicora() {
        return inicora;
    }
    
    public Cuenta getDestino() {
        return destino;
    }
    
    public String getNombreTitular() {
        return nombreTitular;
    }
    
    public int getSaldo() {
        return saldo;
    }
    
    public Date getFecha() {
        return fecha;
    }
    
    public String getConcepto() {
        return concepto;
    }
}
